﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;


namespace hra1
{
    public partial class Form1 : Form
    {
        private int maxX, colCount = 0;
        private Random generator;

        public Form1()
        {
            InitializeComponent();
            generator = new Random();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            maxX = start.Left;
        }

        private void button6_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void start_Click(object sender, EventArgs e)
        {
            generateStar();
            star.Visible = true;
            vlevo.Enabled = true;
            vpravo.Enabled = true;
            nahoru.Enabled = true;
            dolu.Enabled = true;
        }

        private void vlevo_Click(object sender, EventArgs e)
        {
            
            if(zrout.Left > 0){
                zrout.Left -= 2;
            }
            if (checkCollistion())
            {
                colCount++;
                eaten.Text = "" + colCount;
                generateStar();
            }
        }

        private void nahoru_Click(object sender, EventArgs e)
        {
            if (zrout.Top > 0)
            {
                zrout.Top -= 2;
            }
            if (checkCollistion())
            {
                colCount++;
                eaten.Text = "" + colCount;
                generateStar();
            }
        }

        private void vpravo_Click(object sender, EventArgs e)
        {
            if (zrout.Right < maxX)
            {
                zrout.Left += 2;
            }
            if (checkCollistion())
            {
                colCount++;
                eaten.Text = "" + colCount;
                generateStar();
            }
        }

        private void generateStar()
        {
            star.Left = generator.Next(maxX-20)+10;
            star.Top = generator.Next(this.Height-20)+10;
            
        }

        private void dolu_Click(object sender, EventArgs e)
        {
            if (zrout.Bottom < this.Bottom)
            {
                zrout.Top += 2;
            }
            if (checkCollistion())
            {
                colCount++;
                eaten.Text = "" + colCount;
                generateStar();
            }
        }

        private bool checkCollistion()
        {
            bool horCollision = false;
            bool verCollision = false;

            verCollision = (zrout.Left <= star.Right
                && zrout.Left >= star.Left)
                || (zrout.Right >= star.Left
                && zrout.Right <= star.Right);
            
            horCollision = (zrout.Top >= star.Top &&
                zrout.Top <= star.Bottom)
                || (zrout.Bottom >= star.Top &&
                zrout.Bottom <= star.Bottom);

            return verCollision && horCollision;
        }

        private void Form1_KeyPress(object sender, KeyPressEventArgs e)
        {
                if(e.KeyChar == 'j'){
                    if (zrout.Top > 0) zrout.Top -= 2;
                }
                if (e.KeyChar == 'k')
                {
                    if (zrout.Bottom < this.Bottom) zrout.Top += 2;
                }
                if (e.KeyChar == 'h')
                {
                    if (zrout.Left > 0)
                    {
                        zrout.Left -= 2;
                    }
                }
                if (e.KeyChar == 'l')
                {
                    if (zrout.Right < this.Right)
                    {
                        zrout.Left += 2;
                    }
                }
                if (checkCollistion())
                {
                    colCount++;
                    eaten.Text = "" + colCount;
                    generateStar();
                }
        }
    }
}
